package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.MemberPoint;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


/**
*  Dao接口
*/
@Repository("com.izouma.awesomeadmin.dao.MemberPointMapper")
public interface MemberPointMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MemberPoint record);

    MemberPoint selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MemberPoint record);

    List<MemberPoint> queryAllMemberPoint(MemberPoint record);

    List<MemberPoint> queryMemberPointByPage(Map<String, Object> parameter);

    int delete(String id);

    MemberPoint queryMemberPoint(MemberPoint record);

    List<MemberPoint> query(MemberPoint record);
}

